| Kea 3.0.2-git

ha_service_states.h File Reference
`#include <util/state_model.h>`
`#include <string>`
Include dependency graph for ha_service_states.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::ha

## Functions
std::string | isc::ha::stateToString (int state)
| Returns state name.
int | isc::ha::stringToState (const std::string &state_name)
| Returns state for a given name.

## Variables
const int | isc::ha::HA_BACKUP_ST = util::StateModel::SM_DERIVED_STATE_MIN + 1
| Backup state.
const int | isc::ha::HA_COMMUNICATION_RECOVERY_ST = util::StateModel::SM_DERIVED_STATE_MIN + 2
| Communication recovery state.
const int | isc::ha::HA_HOT_STANDBY_ST = util::StateModel::SM_DERIVED_STATE_MIN + 3
| Hot standby state.
const int | isc::ha::HA_IN_MAINTENANCE_ST = util::StateModel::SM_DERIVED_STATE_MIN + 5
| In maintenance state.
const int | isc::ha::HA_LOAD_BALANCING_ST = util::StateModel::SM_DERIVED_STATE_MIN + 4
| Load balancing state.
const int | isc::ha::HA_PARTNER_DOWN_ST = util::StateModel::SM_DERIVED_STATE_MIN + 6
| Partner down state.
const int | isc::ha::HA_PARTNER_IN_MAINTENANCE_ST = util::StateModel::SM_DERIVED_STATE_MIN + 7
| Partner in-maintenance state.
const int | isc::ha::HA_PASSIVE_BACKUP_ST = util::StateModel::SM_DERIVED_STATE_MIN + 8
| In passive-backup state with a single active server and backup servers.
const int | isc::ha::HA_READY_ST = util::StateModel::SM_DERIVED_STATE_MIN + 9
| Server ready state, i.e. synchronized database, can enable DHCP service.
const int | isc::ha::HA_SYNCING_ST = util::StateModel::SM_DERIVED_STATE_MIN + 10
| Synchronizing database state.
const int | isc::ha::HA_TERMINATED_ST = util::StateModel::SM_DERIVED_STATE_MIN + 11
| HA service terminated state.
const int | isc::ha::HA_UNAVAILABLE_ST = util::StateModel::SM_DERIVED_STATE_MIN + 1000
| Special state indicating that this server is unable to communicate with the partner.
const int | isc::ha::HA_WAITING_ST = util::StateModel::SM_DERIVED_STATE_MIN + 12
| Server waiting state, i.e. waiting for another server to be ready.